Skip to main content
Postman is an API platform to help developers design and test APIs. Postman is an alternative to run Yuno API requests using Readme.io. You can download Postman here for Linux, Windows, or Mac or use it through your web browser. Here, you find how to import the Yuno Collection and Environment. All endpoints on the API Reference are available on the Postman collection provided so that you can test Yuno services on your machine.
Postman CollectionAccess the Yuno APIs Postman collection here.

Step 1: Fork the Yuno Postman collection

Before testing the endpoints, you need to fork the Yuno collection to your Postman account.
  1. Access the Yuno Postman collection.
  2. Select the following Run in Postman button.
  3. Select if you want to run Postman on your Browser or using the Postman app.
  4. Sign up or log in to a Postman account.
  5. Select a workspace to import the collection into.
Collection and environment are separateForking the collection only brings the requests. The environment (the file with your API keys and account variables) is a separate .json file that needs to be imported on its own, it does not come bundled with the collection fork.

Step 2: Configure the environment variables

Before start testing the endpoint, you need to import and configure the environment. Otherwise, the requests will fail.
  1. Download Yuno_Sandbox.postman_environment.json, then import it. Access Environments on the left panel, then Import.
Environments panel in Postman, light mode
  1. Select the Yuno Sandbox environment once imported.
Yuno Sandbox environment selected, light mode
  1. Update the variable’s values. To start testing, you need to update at least public_api_key, private_secret_key, and account_id.
Sandbox keys require test modeIn the Yuno Dashboard, toggle Test mode on before copying your API keys. With test mode off, the keys are scoped to production and won’t authenticate against the sandbox environment.
  1. Define Yuno Sandbox as the environment using the No Environment selector at the top right corner.
Environment selector dropdown, light mode
The Yuno Sandbox environment has an extensive list of variables used on all requests inside the collection. You can define their values as you try new endpoints.

Step 3: Run in Postman

After selecting the environment and defining the variable values, you can start testing the endpoint.
  1. Select the Yuno Payments API Playground collection on the Collections tab.
  2. Choose an endpoint.
Collection tree with an endpoint selected, light mode
  1. Provide the necessary values to the parameters available on the Headers and Body tabs.
Body tab with request parameters, light mode
  1. Use the Send button to perform the request to Yuno’s server.
Send button and server response, light mode
Postman VariablesIn the Yuno Collection, various parameters are considered as variables. These values can be defined in the environment or upon receiving a response from the server. Postman variables aid in testing different endpoints in a sequence as the values received fill in the body parameters for the subsequent request.

Useful resources